BuildRequires: /proc
BuildRequires: jpackage-1.4-compat

Name:           easymockclassextension
Version:        1.2
Release:        alt1_1jpp1.7
Epoch:          0
Summary:        EasyMock class extension

Group:          Development/Java
License:        MIT
URL:            http://www.easymock.org/
Source0:        easymockclassextension1.2.tar.bz2


BuildArch:      noarch
BuildRequires: jpackage-utils >= 0:1.6
BuildRequires: cglib
BuildRequires: easymock = 0:1.2
Requires: cglib
Requires: easymock = 0:1.2

%description
This extension allows generating Mock Objects for classes. 
It has been contributed by Joel Shellman, Henri Tremblay 
and Chad Woolley. 

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
Javadoc for %{name}


%prep
%setup -q -n %{name}%{version}
mkdir classes
mkdir src
pushd src
unzip ../src.zip
popd

%build
export CLASSPATH=$(build-classpath \
cglib \
easymock \
)
javac -sourcepath src -d classes \
	src/org/easymock/classextension/MockClassControl.java
pushd classes
jar cf ../%{name}.jar org
popd
javadoc -d javadoc -sourcepath src org.easymock.classextension

%install
install -dm 755 $RPM_BUILD_ROOT%{_javadir}

install -pm 644 %{name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%{_javadir}/*.jar
%doc {Documentation,License}.html

%files javadoc
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Fri Aug 10 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.2-alt1_1jpp1.7
- converted from JPackage by jppimport script

